Index: gnu/usr.bin/perl/proto.h
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/proto.h,v
retrieving revision 1.29
diff -u -p -a -u -p -r1.29 proto.h
--- gnu/usr.bin/perl/proto.h	15 Feb 2023 01:36:13 -0000	1.29
+++ gnu/usr.bin/perl/proto.h	21 May 2023 00:39:36 -0000
@@ -5709,54 +5709,40 @@ STATIC SSize_t	S_unpack_rec(pTHX_ struct
 #endif
 #if defined(PERL_IN_PP_SORT_C)
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_cmp(pTHX_ SV *const str1, SV *const str2)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_cmp(pTHX_ SV *const str1, SV *const str2);
 #define PERL_ARGS_ASSERT_AMAGIC_CMP	\
 	assert(str1); assert(str2)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_cmp_desc(pTHX_ SV *const str1, SV *const str2)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_cmp_desc(pTHX_ SV *const str1, SV *const str2);
 #define PERL_ARGS_ASSERT_AMAGIC_CMP_DESC	\
 	assert(str1); assert(str2)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_i_ncmp(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_i_ncmp(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_AMAGIC_I_NCMP	\
 	assert(a); assert(b)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_i_ncmp_desc(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_i_ncmp_desc(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_AMAGIC_I_NCMP_DESC	\
 	assert(a); assert(b)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_ncmp(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_ncmp(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_AMAGIC_NCMP	\
 	assert(a); assert(b)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_ncmp_desc(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_ncmp_desc(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_AMAGIC_NCMP_DESC	\
 	assert(a); assert(b)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_cmp_desc(pTHX_ SV *const str1, SV *const str2)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_cmp_desc(pTHX_ SV *const str1, SV *const str2);
 #define PERL_ARGS_ASSERT_CMP_DESC	\
 	assert(str1); assert(str2)
 #endif
-
 STATIC I32	S_sortcv(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_SORTCV	\
 	assert(a); assert(b)
@@ -5774,55 +5760,41 @@ PERL_STATIC_FORCE_INLINE void	S_sortsv_f
 #endif
 
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_sv_i_ncmp(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_sv_i_ncmp(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_SV_I_NCMP	\
 	assert(a); assert(b)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_sv_i_ncmp_desc(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_sv_i_ncmp_desc(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_SV_I_NCMP_DESC	\
 	assert(a); assert(b)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_sv_ncmp(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_sv_ncmp(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_SV_NCMP	\
 	assert(a); assert(b)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_sv_ncmp_desc(pTHX_ SV *const a, SV *const b)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_sv_ncmp_desc(pTHX_ SV *const a, SV *const b);
 #define PERL_ARGS_ASSERT_SV_NCMP_DESC	\
 	assert(a); assert(b)
 #endif
-
 #  if defined(USE_LOCALE_COLLATE)
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_cmp_locale(pTHX_ SV *const str1, SV *const str2)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_cmp_locale(pTHX_ SV *const str1, SV *const str2);
 #define PERL_ARGS_ASSERT_AMAGIC_CMP_LOCALE	\
 	assert(str1); assert(str2)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_amagic_cmp_locale_desc(pTHX_ SV *const str1, SV *const str2)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_amagic_cmp_locale_desc(pTHX_ SV *const str1, SV *const str2);
 #define PERL_ARGS_ASSERT_AMAGIC_CMP_LOCALE_DESC	\
 	assert(str1); assert(str2)
 #endif
-
 #ifndef PERL_NO_INLINE_FUNCTIONS
-PERL_STATIC_FORCE_INLINE I32	S_cmp_locale_desc(pTHX_ SV *const str1, SV *const str2)
-			__attribute__always_inline__;
+PERL_STATIC_INLINE I32	S_cmp_locale_desc(pTHX_ SV *const str1, SV *const str2);
 #define PERL_ARGS_ASSERT_CMP_LOCALE_DESC	\
 	assert(str1); assert(str2)
 #endif
-
 #  endif
 #endif
 #if defined(PERL_IN_PP_SYS_C)
@@ -6772,9 +6744,15 @@ STATIC void	S_mem_log_common(enum mem_lo
 PERL_CALLCONV Malloc_t	Perl_mem_log_alloc(const UV nconst, UV typesize, const char *type_name, Malloc_t newalloc, const char *filename, const int linenumber, const char *funcname);
 #define PERL_ARGS_ASSERT_MEM_LOG_ALLOC	\
 	assert(type_name); assert(filename); assert(funcname)
+PERL_CALLCONV void	Perl_mem_log_del_sv(const SV *sv, const char *filename, int linenumber, const char *funcname);
+#define PERL_ARGS_ASSERT_MEM_LOG_DEL_SV	\
+	assert(sv); assert(filename); assert(funcname)
 PERL_CALLCONV Malloc_t	Perl_mem_log_free(Malloc_t oldalloc, const char *filename, const int linenumber, const char *funcname);
 #define PERL_ARGS_ASSERT_MEM_LOG_FREE	\
 	assert(filename); assert(funcname)
+PERL_CALLCONV void	Perl_mem_log_new_sv(const SV *sv, const char *filename, int linenumber, const char *funcname);
+#define PERL_ARGS_ASSERT_MEM_LOG_NEW_SV	\
+	assert(sv); assert(filename); assert(funcname)
 PERL_CALLCONV Malloc_t	Perl_mem_log_realloc(const UV n, const UV typesize, const char *type_name, Malloc_t oldalloc, Malloc_t newalloc, const char *filename, const int linenumber, const char *funcname);
 #define PERL_ARGS_ASSERT_MEM_LOG_REALLOC	\
 	assert(type_name); assert(filename); assert(funcname)
Index: gnu/usr.bin/perl/sv.c
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/sv.c,v
retrieving revision 1.31
diff -u -p -a -u -p -r1.31 sv.c
--- gnu/usr.bin/perl/sv.c	15 Feb 2023 01:36:13 -0000	1.31
+++ gnu/usr.bin/perl/sv.c	21 May 2023 00:39:36 -0000
@@ -5764,16 +5764,6 @@ Perl_sv_magic(pTHX_ SV *const sv, SV *co
         }
     }
 
-    /* Force pos to be stored as characters, not bytes. */
-    if (SvMAGICAL(sv) && DO_UTF8(sv)
-      && (mg = mg_find(sv, PERL_MAGIC_regex_global))
-      && mg->mg_len != -1
-      && mg->mg_flags & MGf_BYTES) {
-        mg->mg_len = (SSize_t)sv_pos_b2u_flags(sv, (STRLEN)mg->mg_len,
-                                               SV_CONST_RETURN);
-        mg->mg_flags &= ~MGf_BYTES;
-    }
-
     /* Rest of work is done else where */
     mg = sv_magicext(sv,obj,how,vtable,name,namlen);
 
Index: gnu/usr.bin/perl/util.c
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/util.c,v
retrieving revision 1.41
diff -u -p -a -u -p -r1.41 util.c
--- gnu/usr.bin/perl/util.c	15 Feb 2023 01:38:21 -0000	1.41
+++ gnu/usr.bin/perl/util.c	21 May 2023 00:39:36 -0000
@@ -5259,7 +5259,7 @@ S_mem_log_common(enum mem_log_type mlt, 
 #     define MEM_LOG_TIME_FMT	"%10d.%06d: "
 #     define MEM_LOG_TIME_ARG	(int)tv.tv_sec, (int)tv.tv_usec
         struct timeval tv;
-        gettimeofday(&tv, 0);
+        PerlProc_gettimeofday(&tv, 0);
 #   else
 #     define MEM_LOG_TIME_FMT	"%10d: "
 #     define MEM_LOG_TIME_ARG	(int)when
@@ -5385,6 +5385,8 @@ Perl_mem_log_new_sv(const SV *sv, 
                     const char *filename, const int linenumber,
                     const char *funcname)
 {
+    PERL_ARGS_ASSERT_MEM_LOG_NEW_SV;
+
     mem_log_common_if(MLT_NEW_SV, 0, 0, "", sv, NULL, NULL,
                       filename, linenumber, funcname);
 }
@@ -5394,6 +5396,8 @@ Perl_mem_log_del_sv(const SV *sv,
                     const char *filename, const int linenumber, 
                     const char *funcname)
 {
+    PERL_ARGS_ASSERT_MEM_LOG_DEL_SV;
+
     mem_log_common_if(MLT_DEL_SV, 0, 0, "", sv, NULL, NULL, 
                       filename, linenumber, funcname);
 }
Index: gnu/usr.bin/perl/Cross/config.sh-arm-linux
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Cross/config.sh-arm-linux,v
retrieving revision 1.15
diff -u -p -a -u -p -r1.15 config.sh-arm-linux
--- gnu/usr.bin/perl/Cross/config.sh-arm-linux	15 Feb 2023 01:36:14 -0000	1.15
+++ gnu/usr.bin/perl/Cross/config.sh-arm-linux	21 May 2023 00:39:33 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/usr/lib/perl5/5.36.0/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.36.0/armv4l-linux'
+archlib='/usr/lib/perl5/5.36.1/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.36.1/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.0/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.1/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -831,7 +831,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.36.0/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.36.1/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -839,13 +839,13 @@ installman1dir='./install_me_here/usr/sh
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.36.0'
+installprivlib='./install_me_here/usr/lib/perl5/5.36.1'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.0/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.0'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.1'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -980,8 +980,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.36.0'
-privlibexp='/usr/lib/perl5/5.36.0'
+privlib='/usr/lib/perl5/5.36.1'
+privlibexp='/usr/lib/perl5/5.36.1'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1046,17 +1046,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.36.0/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.36.0/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.36.0'
+sitelib='/usr/lib/perl5/site_perl/5.36.1'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.36.0'
+sitelibexp='/usr/lib/perl5/site_perl/5.36.1'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1097,7 +1097,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='0'
+subversion='1'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1188,8 +1188,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.36.0'
-version_patchlevel_string='version 36 subversion 0'
+version='5.36.1'
+version_patchlevel_string='version 36 subversion 1'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1204,7 +1204,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=0
+PERL_SUBVERSION=1
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770,v
retrieving revision 1.12
diff -u -p -a -u -p -r1.12 config.sh-arm-linux-n770
--- gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	15 Feb 2023 01:36:14 -0000	1.12
+++ gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	21 May 2023 00:39:33 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/usr/lib/perl5/5.36.0/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.36.0/armv4l-linux'
+archlib='/usr/lib/perl5/5.36.1/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.36.1/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -54,7 +54,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.0/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.1/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -829,7 +829,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.36.0/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.36.1/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -837,13 +837,13 @@ installman1dir='./install_me_here/usr/sh
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.36.0'
+installprivlib='./install_me_here/usr/lib/perl5/5.36.1'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.0/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.0'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.1'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -978,8 +978,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.36.0'
-privlibexp='/usr/lib/perl5/5.36.0'
+privlib='/usr/lib/perl5/5.36.1'
+privlibexp='/usr/lib/perl5/5.36.1'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1044,17 +1044,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.36.0/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.36.0/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.36.0'
+sitelib='/usr/lib/perl5/site_perl/5.36.1'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.36.0'
+sitelibexp='/usr/lib/perl5/site_perl/5.36.1'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1095,7 +1095,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='0'
+subversion='1'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1186,8 +1186,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.36.0'
-version_patchlevel_string='version 36 subversion 0'
+version='5.36.1'
+version_patchlevel_string='version 36 subversion 1'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1202,7 +1202,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=0
+PERL_SUBVERSION=1
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/config.sh
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/config.sh,v
retrieving revision 1.15
diff -u -p -a -u -p -r1.15 config.sh
--- gnu/usr.bin/perl/Porting/config.sh	15 Feb 2023 01:36:14 -0000	1.15
+++ gnu/usr.bin/perl/Porting/config.sh	21 May 2023 00:39:33 -0000
@@ -50,8 +50,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/opt/perl/lib/5.36.0/x86_64-linux-thread-multi-ld'
-archlibexp='/opt/perl/lib/5.36.0/x86_64-linux-thread-multi-ld'
+archlib='/opt/perl/lib/5.36.1/x86_64-linux-thread-multi-ld'
+archlibexp='/opt/perl/lib/5.36.1/x86_64-linux-thread-multi-ld'
 archname64=''
 archname='x86_64-linux-thread-multi-ld'
 archobjs=''
@@ -860,7 +860,7 @@ incpath=''
 incpth='/usr/lib64/gcc/x86_64-suse-linux/10/include /usr/local/include /usr/lib64/gcc/x86_64-suse-linux/10/include-fixed /usr/lib64/gcc/x86_64-suse-linux/10/../../../../x86_64-suse-linux/include /usr/include'
 inews=''
 initialinstalllocation='/opt/perl/bin'
-installarchlib='/opt/perl/lib/5.36.0/x86_64-linux-thread-multi-ld'
+installarchlib='/opt/perl/lib/5.36.1/x86_64-linux-thread-multi-ld'
 installbin='/opt/perl/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -868,13 +868,13 @@ installman1dir='/opt/perl/man/man1'
 installman3dir='/opt/perl/man/man3'
 installprefix='/opt/perl'
 installprefixexp='/opt/perl'
-installprivlib='/opt/perl/lib/5.36.0'
+installprivlib='/opt/perl/lib/5.36.1'
 installscript='/opt/perl/bin'
-installsitearch='/opt/perl/lib/site_perl/5.36.0/x86_64-linux-thread-multi-ld'
+installsitearch='/opt/perl/lib/site_perl/5.36.1/x86_64-linux-thread-multi-ld'
 installsitebin='/opt/perl/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/opt/perl/lib/site_perl/5.36.0'
+installsitelib='/opt/perl/lib/site_perl/5.36.1'
 installsiteman1dir='/opt/perl/man/man1'
 installsiteman3dir='/opt/perl/man/man3'
 installsitescript='/opt/perl/bin'
@@ -1000,7 +1000,7 @@ perl_static_inline='static __inline__'
 perl_thread_local=''
 perladmin='yourname@yourhost.yourplace.com'
 perllibs='-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc'
-perlpath='/opt/perl/bin/perl5.36.0'
+perlpath='/opt/perl/bin/perl5.36.1'
 pg='pg'
 phostname=''
 pidtype='pid_t'
@@ -1009,8 +1009,8 @@ pmake=''
 pr=''
 prefix='/opt/perl'
 prefixexp='/opt/perl'
-privlib='/opt/perl/lib/5.36.0'
-privlibexp='/opt/perl/lib/5.36.0'
+privlib='/opt/perl/lib/5.36.1'
+privlibexp='/opt/perl/lib/5.36.1'
 procselfexe='"/proc/self/exe"'
 ptrsize='8'
 quadkind='2'
@@ -1075,17 +1075,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/opt/perl/lib/site_perl/5.36.0/x86_64-linux-thread-multi-ld'
-sitearchexp='/opt/perl/lib/site_perl/5.36.0/x86_64-linux-thread-multi-ld'
+sitearch='/opt/perl/lib/site_perl/5.36.1/x86_64-linux-thread-multi-ld'
+sitearchexp='/opt/perl/lib/site_perl/5.36.1/x86_64-linux-thread-multi-ld'
 sitebin='/opt/perl/bin'
 sitebinexp='/opt/perl/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/opt/perl/lib/site_perl/5.36.0'
+sitelib='/opt/perl/lib/site_perl/5.36.1'
 sitelib_stem='/opt/perl/lib/site_perl'
-sitelibexp='/opt/perl/lib/site_perl/5.36.0'
+sitelibexp='/opt/perl/lib/site_perl/5.36.1'
 siteman1dir='/opt/perl/man/man1'
 siteman1direxp='/opt/perl/man/man1'
 siteman3dir='/opt/perl/man/man3'
@@ -1113,7 +1113,7 @@ st_dev_sign='1'
 st_dev_size='4'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/opt/perl/bin/perl5.36.0'
+startperl='#!/opt/perl/bin/perl5.36.1'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1125,7 +1125,7 @@ stdio_ptr='((fp)->_ptr)'
 stdio_stream_array=''
 strerror_r_proto='REENTRANT_PROTO_B_IBW'
 submit=''
-subversion='0'
+subversion='1'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1224,8 +1224,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.36.0'
-version_patchlevel_string='version 36 subversion 0'
+version='5.36.1'
+version_patchlevel_string='version 36 subversion 1'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1236,7 +1236,7 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=0
+PERL_SUBVERSION=1
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/config_H
===================================================================
RCS file: /usr/obj/OP/cvs/src/gnu/usr.bin/perl/Porting/config_H,v
retrieving revision 1.27
diff -u -p -a -u -p -r1.27 config_H
--- gnu/usr.bin/perl/Porting/config_H	15 Feb 2023 01:36:14 -0000	1.27
+++ gnu/usr.bin/perl/Porting/config_H	21 May 2023 00:39:33 -0000
@@ -1239,8 +1239,8 @@
  *	This symbol contains the ~name expanded version of ARCHLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/opt/perl/lib/5.36.0/x86_64-linux"		/**/
-#define ARCHLIB_EXP "/opt/perl/lib/5.36.0/x86_64-linux"		/**/
+#define ARCHLIB "/opt/perl/lib/5.36.1/x86_64-linux"		/**/
+#define ARCHLIB_EXP "/opt/perl/lib/5.36.1/x86_64-linux"		/**/
 
 /* BIN:
  *	This symbol holds the path of the bin directory where the package will
@@ -1293,8 +1293,8 @@
  *	This symbol contains the ~name expanded version of PRIVLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/opt/perl/lib/5.36.0"		/**/
-#define PRIVLIB_EXP "/opt/perl/lib/5.36.0"		/**/
+#define PRIVLIB "/opt/perl/lib/5.36.1"		/**/
+#define PRIVLIB_EXP "/opt/perl/lib/5.36.1"		/**/
 
 /* SITEARCH:
  *	This symbol contains the name of the private library for this package.
@@ -1311,8 +1311,8 @@
  *	This symbol contains the ~name expanded version of SITEARCH, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/opt/perl/lib/site_perl/5.36.0/x86_64-linux"		/**/
-#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.36.0/x86_64-linux"		/**/
+#define SITEARCH "/opt/perl/lib/site_perl/5.36.1/x86_64-linux"		/**/
+#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.36.1/x86_64-linux"		/**/
 
 /* SITELIB:
  *	This symbol contains the name of the private library for this package.
@@ -1334,8 +1334,8 @@
  *	removed.  The elements in inc_version_list (inc_version_list.U) can
  *	be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/opt/perl/lib/site_perl/5.36.0"		/**/
-#define SITELIB_EXP "/opt/perl/lib/site_perl/5.36.0"		/**/
+#define SITELIB "/opt/perl/lib/site_perl/5.36.1"		/**/
+#define SITELIB_EXP "/opt/perl/lib/site_perl/5.36.1"		/**/
 #define SITELIB_STEM "/opt/perl/lib/site_perl"		/**/
 
 /* PERL_VENDORARCH:
@@ -4109,7 +4109,7 @@
  *	script to make sure (one hopes) that it runs with perl and not
  *	some shell.
  */
-#define STARTPERL "#!/opt/perl/bin/perl5.36.0"		/**/
+#define STARTPERL "#!/opt/perl/bin/perl5.36.1"		/**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *	This symbol, if defined, tells that there is an array
